Package org.eclipse.wst.xsl.ui.internal.style

## org.eclipse.wst.xsl.ui.internal.style
Class XSLTagNameSemanticHighlighting

    public class XSLTagNameSemanticHighlighting
    extends org.eclipse.wst.xsl.ui.internal.style.AbstractXSLSemanticHighlighting

## Constructor Summary

`XSLTagNameSemanticHighlighting()`

## Method Summary

`public Position[]` | `consumes(IStructuredDocumentRegion region)`
`public java.lang.String` | `getEnabledPreferenceKey()`
`public java.lang.String` | `getStylePreferenceKey()`

## Constructor Detail

## XSLTagNameSemanticHighlighting

`public XSLTagNameSemanticHighlighting()`

## Methods Detail

## consumes

`public Position[] consumes(IStructuredDocumentRegion region)`

### Parameters

`region`

### Returns

`Position[]`

## getEnabledPreferenceKey

`public java.lang.String getEnabledPreferenceKey()`

### Returns

`java.lang.String`

## getStylePreferenceKey

`public java.lang.String getStylePreferenceKey()`

### Returns

`java.lang.String`